Passer au contenu

Kling O1 Image

Intégrer

Identifiant du modèle kling-image/o1
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-image/o1?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Cette requête: 0,028 $ 28 crédits API L’exécuter sur cette page

Obtenir une clé API
Kling Modification d’image Entrées de référencejusqu’à 2K #edit#realism#typography

Modification d’images guidée par des références, jusqu’à 10 images, balises @Image et éléments, sortie 1K ou 2K et jusqu’à 9 résultats

Créé sur Doitong

Créations publiques réalisées avec Kling O1 Image par la communauté Doitong. Réutilisez une invite en un clic.

Créations publiques affichées : 16
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Vidéo

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Vidéo

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Vidéo

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Vidéo

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё к... Vidéo

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё круче, масштабнее и в итоге превратить это в полноценный проект, чтобы в дальнейшем монетизировать свой блог. Путь к первой десятке объявляю открытым. Идём со мной? Мне нужно такое видео в трёх кадрах...

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно ... Vidéo

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно и с любовью смотрит на невесту, слегка улыбается и бережно касается её руки. Невеста мягко улыбается, немного поворачивает голову к жениху и смотрит на него с теплотой. Их движения естественные,...

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swir... Vidéo

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swirling around her body. Her eyes briefly glow with warm golden light. A beautiful black witch hat appears on her head, and her clothes magically transform into an elegant black-and-gold witch costume...

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг... Vidéo

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг», он закрывает за ней дверь и говорит «Пожалуйста, красотка» после того как она села в машину за руль, кролик немного отходит, девушка в дрифте уезжает, все в одной сцене. Съемка кинематографичная....

Créer une requête

Les contrôles sont générés à partir du schéma du modèle. Le code et le prix se mettent à jour au fur et à mesure de vos modifications.

•requis 88 / 2500

Invite de génération d’image limitée à 2500 caractères. Faites référence aux images avec @Image1, @Image2, etc., ou @Image pour une seule image.

•requis image_urls
Déposez un fichier ou

Liste d’images de référence, limitée à 10 images; citez-les dans l’invite avec @Image1, @Image2, etc., en commençant la numérotation à 1. Chaque fichier doit faire au plus 10.0 MB, avec une largeur et une hauteur d’au moins 300px et un rapport hauteur-largeur de 0.40 à 2.50.

resolution par défaut 1K

Résolution de l’image de sortie : 1K pour une résolution standard ou 2K pour une haute résolution.

aspect_ratio par défaut auto

Rapport hauteur-largeur de l’image générée, sélectionné automatiquement à partir du contenu d’entrée lorsque la valeur est 'auto'.

num_images par défaut 1

Nombre d’images de sortie, de 1 à 9.

Avancé output_format · enable_safety_checker · elements
output_format par défaut png

Format de fichier de l’image obtenue.

Personnages ou objets inclus comme éléments, partageant une limite combinée de 10 avec les images de référence. Les références dans l’invite utilisent @Element1, @Element2, etc.

POST /run/kling-image/o1?wait=20 devis → 0,028 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-image/o1?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Exécuter cette requête

Votre clé reste dans ce navigateur : elle est envoyée uniquement au Doitong API et enregistrée dans localStorage uniquement si vous cochez Mémoriser. Obtenir une clé API

À propos de Kling O1 Image

Modifie ou recombine des images à partir d’un `prompt` de jusqu’à 2500 caractères. Référencez les entrées avec @Image1, @Image2, etc., en utilisant jusqu’à 10 éléments dans `image_urls`; `elements` ajoute des personnages ou des objets, avec un maximum combiné de 10. `resolution` vaut 1K ou 2K, `num_images` va de 1 à 9 et `aspect_ratio` inclut auto, 21:9 et 3:2. La sortie est en png, jpeg ou webp.

Paramètres

Envoyez soit le nom canonique, soit le nom natif, mais pas les deux. Noms canoniques

NomType Par défautAutorisé Description
promptrequis
Typestring
≤ 2 500 caractères
Invite de génération d’image limitée à 2500 caractères. Faites référence aux images avec @Image1, @Image2, etc., ou @Image pour une seule image.
image_urlsrequis images
Typeurl[] · image
Liste d’images de référence, limitée à 10 images; citez-les dans l’invite avec @Image1, @Image2, etc., en commençant la numérotation à 1. Chaque fichier doit faire au plus 10.0 MB, avec une largeur et une hauteur d’au moins 300px et un rapport hauteur-largeur de 0.40 à 2.50.
elementsfacultatif
Typeobject[]
Personnages ou objets inclus comme éléments, partageant une limite combinée de 10 avec les images de référence. Les références dans l’invite utilisent @Element1, @Element2, etc.
elements[].frontal_image_urlfacultatif
Typeurl · image
Image facultative de face fournissant la vue principale de l’élément. La taille du fichier ne peut pas dépasser 10.0 MB; la largeur et la hauteur doivent être d’au moins 300px, avec un rapport hauteur-largeur de 0.40 à 2.50.
elements[].reference_image_urlsfacultatif
Typeurl[] · image
Ensemble facultatif de 0–3 images supplémentaires montrant d’autres angles. Chaque fichier doit faire au plus 10.0 MB, avec une largeur et une hauteur d’au moins 300px et un rapport hauteur-largeur de 0.40 à 2.50.
resolutionfacultatif
Typeenum
Par défaut1K
1K2K
Résolution de l’image de sortie : 1K pour une résolution standard ou 2K pour une haute résolution.
num_imagesfacultatif num_outputs
Typeinteger
Par défaut1
1 – 9
Nombre d’images de sortie, de 1 à 9.
aspect_ratiofacultatif
Typeenum
Par défautauto
auto16:99:161:14:33:43:22:321:9
Rapport hauteur-largeur de l’image générée, sélectionné automatiquement à partir du contenu d’entrée lorsque la valeur est 'auto'.
output_formatfacultatif
Typeenum
Par défautpng
jpegpngwebp
Format de fichier de l’image obtenue.
enable_safety_checkerfacultatif
Typeboolean
Par défauttrue
La vérification peut être assouplie en définissant false, si l’appelant est autorisé.
requis Nom canonique, également accepté

Les paramètres de fichier acceptent une URL publique https://, un URI data: jusqu’à 10 MB ou le file_url d’un téléversement. Fichiers

Sortie

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-image/o1",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 28,
    "usd": "0.028",
    "charged": 28,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Vos fichiers, votre choixChaque outputs[].url est une copie dans notre stockage : conservée indéfiniment (facturation par Go-mois) ou pendant 7 jours gratuitement, selon le réglage de votre compte ou ?storage=.
Même structure pour chaque modèletype, url, content_type, width, height et duration, pour les images, les vidéos et les fichiers audio. output est l’objet de résultat propre au modèle.
Champs de sortie
images
array of object {url, content_type, file_name, file_size, width, height}Images produites par le modèle.

Pour les agents IA : cette page en Markdown se trouve à https://doitong.com/fr-CA/developers/models/kling-image/o1.md. Tous les modèles et guides : https://doitong.com/developers/llms.txt